シナリオ別配信統計一覧
curl --request GET \
--url https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"message_id": "<string>",
"title": "<string>",
"send_datetime": "<string>",
"send_count": 123,
"open_count": 123,
"open_rate": 123,
"click_count": 123,
"click_rate": 123,
"unsubscribe_count": 123,
"use_ab_test": true,
"ab_test_patterns": [
{
"subject": "<string>",
"send_count": 123,
"open_count": 123,
"open_rate": 123,
"click_count": 123,
"click_rate": 123,
"unsubscribe_count": 123
}
]
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123
}
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}メッセージ
シナリオ別配信統計一覧
プレビュー機能。仕様は今後変更される可能性があります。 指定シナリオ内のメッセージごとの配信統計(送信数・開封数・開封率・クリック数・クリック率・解除数)を一覧で取得します。
- 開封・クリックはユニークな読者単位で集計されます。
- A/Bテスト(メール件名)を使用したメッセージは、パターン別の集計(
ab_test_patterns)も含まれます。
シナリオ別配信統計一覧
GET
https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages/stats
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Query Parameters
媒体で絞り込み
Available options:
mail, line, sms, action 配信タイプで絞り込み
Available options:
broadcast, step, reminder 集計開始日(YYYY-MM-DD)
集計終了日(YYYY-MM-DD)。終了日の 23:59:59 まで含めて集計します。
ページ番号
Required range:
x >= 11ページあたりの件数(既定20・最大100。超過時は100に丸められます)
Required range:
1 <= x <= 100⌘I